com.explodingpixels.widgets

## Class PopupMenuCustomizerUsingActions

- java.lang.Object
- - com.explodingpixels.widgets.PopupMenuCustomizerUsingActions

    public class PopupMenuCustomizerUsingActions
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`PopupMenuCustomizerUsingActions(Action... actions)`
`PopupMenuCustomizerUsingActions(List<Action> actions)`

### Method Summary

Methods
`void` `customizePopup(JPopupMenu popup)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PopupMenuCustomizerUsingActions

    public PopupMenuCustomizerUsingActions(Action... actions)

#### PopupMenuCustomizerUsingActions

    public PopupMenuCustomizerUsingActions(List<Action> actions)

### Method Detail

#### customizePopup

    public void customizePopup(JPopupMenu popup)